Skip to content

HTTP

All operations require authentication.

15 operationsv1/ipLoadbalancing/{serviceName}
Agent setup

List HTTP frontendsProduction

GET
/1.0/ipLoadbalancing/{serviceName}/http/frontend

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Query parameters

defaultFarmId
integer

Filter the value of defaultFarmId property (=)

defaultSslId
integer

Filter the value of defaultSslId property (=)

port
string

Filter the value of port property (like)

zone
string

Filter the value of zone property (=)

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/frontend \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create an HTTP frontendProduction

POST
/1.0/ipLoadbalancing/{serviceName}/http/frontend

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

allowedSource
ipBlock[]

Restrict IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time

dedicatedIpfo
ipBlock[]

Only attach frontend on these ip. No restriction if null

defaultFarmId
integer

Default HTTP Farm of your frontend

defaultSslId
integer

Default ssl served to your customer

deniedSource
ipBlock[]

Deny IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time

disabled
boolean

Disable your frontend. Default: 'false'

displayName
string

Human readable name for your frontend, this field is for you

forceSni
boolean

block all SSL connection request without SNI. Default: 'false'

hsts
boolean

HTTP Strict Transport Security. Default: 'false'

httpHeader
string[]

Add header to your frontend. Useful variables admitted : %ci <=> client_ip, %cp <=> client_port

port
required
string

Port(s) attached to your frontend. Supports single port (numerical value), range (2 dash-delimited increasing ports) and comma-separated list of 'single port' and/or 'range'. Each port must be in the [1;49151] range.

redirectLocation
string

HTTP redirection (Ex : http://www.ovh.com)

ssl
boolean

SSL deciphering. Default: 'false'

zone
required
string

Zone of your frontend. Use "all" for all owned zone.

Response

200FrontendHttpsuccessful operation
allowedSource
ipBlock[]

Restrict IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time

dedicatedIpfo
ipBlock[]

Only attach frontend on these ip. No restriction if null

defaultFarmId
integer

Default HTTP Farm of your frontend

defaultSslId
integer

Default ssl served to your customer

deniedSource
ipBlock[]

Deny IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time

disabled
boolean

Disable frontend. Default: 'false'

displayName
string

Human readable name for your frontend, this field is for you

forceSni
boolean

block all SSL connection request without SNI. Default: 'false'

frontendId
read-only
integer

Id of your frontend

hsts
boolean

HTTP Strict Transport Security. Default: 'false'

httpHeader
string[]

Add header to your frontend. Useful variables admitted : %ci <=> client_ip, %cp <=> client_port

port
string

Listening port(s) on the server

redirectLocation
string

HTTP redirection (Ex : http://www.ovh.com)

ssl
boolean

SSL deciphering. Default: 'false'

vrackNetworkId
read-only
integer

Internal Load Balancer identifier of the vRack private network attached to your frontend.

vrackVrouterId
read-only
integer

Virtual Router Identifier. 1-255

zone
string

Zone of you frontend

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/frontend \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedSource": [ "192.0.2.0/24" ], "dedicatedIpfo": [ "192.0.2.0/24" ], "defaultFarmId": 0, "defaultSslId": 0, "deniedSource": [ "192.0.2.0/24" ], "disabled": true, "displayName": "string", "forceSni": true, "frontendId": 0, "hsts": true, "httpHeader": [ "string" ], "port": "string", "redirectLocation": "string", "ssl": true, "vrackNetworkId": 0, "vrackVrouterId": 0, "zone": "string"}

Get an HTTP frontendProduction

GET
/1.0/ipLoadbalancing/{serviceName}/http/frontend/{frontendId}

Path parameters

frontendId
required
integer

Id of your frontend

serviceName
required
string

The internal name of your IP load balancing

Response

200FrontendHttpsuccessful operation
allowedSource
ipBlock[]

Restrict IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time

dedicatedIpfo
ipBlock[]

Only attach frontend on these ip. No restriction if null

defaultFarmId
integer

Default HTTP Farm of your frontend

defaultSslId
integer

Default ssl served to your customer

deniedSource
ipBlock[]

Deny IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time

disabled
boolean

Disable frontend. Default: 'false'

displayName
string

Human readable name for your frontend, this field is for you

forceSni
boolean

block all SSL connection request without SNI. Default: 'false'

frontendId
read-only
integer

Id of your frontend

hsts
boolean

HTTP Strict Transport Security. Default: 'false'

httpHeader
string[]

Add header to your frontend. Useful variables admitted : %ci <=> client_ip, %cp <=> client_port

port
string

Listening port(s) on the server

redirectLocation
string

HTTP redirection (Ex : http://www.ovh.com)

ssl
boolean

SSL deciphering. Default: 'false'

vrackNetworkId
read-only
integer

Internal Load Balancer identifier of the vRack private network attached to your frontend.

vrackVrouterId
read-only
integer

Virtual Router Identifier. 1-255

zone
string

Zone of you frontend

Example uses frontendId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/frontend/{frontendId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedSource": [ "192.0.2.0/24" ], "dedicatedIpfo": [ "192.0.2.0/24" ], "defaultFarmId": 0, "defaultSslId": 0, "deniedSource": [ "192.0.2.0/24" ], "disabled": true, "displayName": "string", "forceSni": true, "frontendId": 0, "hsts": true, "httpHeader": [ "string" ], "port": "string", "redirectLocation": "string", "ssl": true, "vrackNetworkId": 0, "vrackVrouterId": 0, "zone": "string"}

Delete an HTTP frontendProduction

DELETE
/1.0/ipLoadbalancing/{serviceName}/http/frontend/{frontendId}

Path parameters

frontendId
required
integer

Id of your frontend

serviceName
required
string

The internal name of your IP load balancing

Response

200—successful operation

Example uses frontendId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/frontend/{frontendId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update an HTTP frontendProduction

PUT
/1.0/ipLoadbalancing/{serviceName}/http/frontend/{frontendId}

Path parameters

frontendId
required
integer

Id of your frontend

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

allowedSource
ipBlock[]

Restrict IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time

dedicatedIpfo
ipBlock[]

Only attach frontend on these ip. No restriction if null

defaultFarmId
integer

Default HTTP Farm of your frontend

defaultSslId
integer

Default ssl served to your customer

deniedSource
ipBlock[]

Deny IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time

disabled
boolean

Disable frontend. Default: 'false'

displayName
string

Human readable name for your frontend, this field is for you

forceSni
boolean

block all SSL connection request without SNI. Default: 'false'

frontendId
read-only
integer

Id of your frontend

hsts
boolean

HTTP Strict Transport Security. Default: 'false'

httpHeader
string[]

Add header to your frontend. Useful variables admitted : %ci <=> client_ip, %cp <=> client_port

port
string

Listening port(s) on the server

redirectLocation
string

HTTP redirection (Ex : http://www.ovh.com)

ssl
boolean

SSL deciphering. Default: 'false'

vrackNetworkId
read-only
integer

Internal Load Balancer identifier of the vRack private network attached to your frontend.

vrackVrouterId
read-only
integer

Virtual Router Identifier. 1-255

zone
string

Zone of you frontend

Response

200—successful operation

Example uses frontendId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/frontend/{frontendId} \
  -H "authorization: Bearer $OVH_TOKEN"

List HTTP routesProduction

GET
/1.0/ipLoadbalancing/{serviceName}/http/route

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Query parameters

frontendId
integer

Filter the value of frontendId property (=)

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/route \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create an HTTP routeProduction

POST
/1.0/ipLoadbalancing/{serviceName}/http/route

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

action
required
RouteHttpAction

Action triggered when all rules match

displayName
string

Human readable name for your route, this field is for you

frontendId
integer

Route traffic for this frontend

weight
integer

Route priority ([0..255]). 0 if null. Highest priority routes are evaluated last. Only the first matching route will trigger an action

Response

200RouteHttpsuccessful operation
action
RouteHttpAction

Action triggered when all rules match

displayName
string

Human readable name for your route, this field is for you

frontendId
integer

Route traffic for this frontend

routeId
read-only
integer

Id of your route

rules
read-only
RouteRule[]

List of rules to match to trigger action

status
read-only
RouteStatusEnum

Route status. Routes in "ok" state are ready to operate

Valuescreatingdeletinginternalokupdating
weight
integer

Route priority ([0..255]). 0 if null. Highest priority routes are evaluated last. Only the first matching route will trigger an action

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/route \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": { "status": 0, "target": "string", "type": "string" }, "displayName": "string", "frontendId": 0, "routeId": 0, "rules": [ { "field": "string", "match": "contains", "negate": true, "pattern": "string", "ruleId": 0, "subField": "string" } ], "status": "creating", "weight": 0}

Get an HTTP routeProduction

GET
/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}

Path parameters

routeId
required
integer

Id of your route

serviceName
required
string

The internal name of your IP load balancing

Response

200RouteHttpsuccessful operation
action
RouteHttpAction

Action triggered when all rules match

displayName
string

Human readable name for your route, this field is for you

frontendId
integer

Route traffic for this frontend

routeId
read-only
integer

Id of your route

rules
read-only
RouteRule[]

List of rules to match to trigger action

status
read-only
RouteStatusEnum

Route status. Routes in "ok" state are ready to operate

Valuescreatingdeletinginternalokupdating
weight
integer

Route priority ([0..255]). 0 if null. Highest priority routes are evaluated last. Only the first matching route will trigger an action

Example uses routeId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": { "status": 0, "target": "string", "type": "string" }, "displayName": "string", "frontendId": 0, "routeId": 0, "rules": [ { "field": "string", "match": "contains", "negate": true, "pattern": "string", "ruleId": 0, "subField": "string" } ], "status": "creating", "weight": 0}

Delete an HTTP routeProduction

DELETE
/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}

Path parameters

routeId
required
integer

Id of your route

serviceName
required
string

The internal name of your IP load balancing

Response

200—successful operation

Example uses routeId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update an HTTP routeProduction

PUT
/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}

Path parameters

routeId
required
integer

Id of your route

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

action
RouteHttpAction

Action triggered when all rules match

displayName
string

Human readable name for your route, this field is for you

frontendId
integer

Route traffic for this frontend

routeId
read-only
integer

Id of your route

rules
read-only
RouteRule[]

List of rules to match to trigger action

status
read-only
RouteStatusEnum

Route status. Routes in "ok" state are ready to operate

Valuescreatingdeletinginternalokupdating
weight
integer

Route priority ([0..255]). 0 if null. Highest priority routes are evaluated last. Only the first matching route will trigger an action

Response

200—successful operation

Example uses routeId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId} \
  -H "authorization: Bearer $OVH_TOKEN"

List route rulesProduction

GET
/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}/rule

Path parameters

routeId
required
integer

Id of your route

serviceName
required
string

The internal name of your IP load balancing

Response

200integer[]successful operation

Example uses routeId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}/rule \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a route ruleProduction

POST
/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}/rule

Path parameters

routeId
required
integer

Id of your route

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

displayName
string

Human readable name for your rule

field
required
string

Name of the field to match like "protocol" or "host". See "/ipLoadbalancing/{serviceName}/availableRouteRules" for a list of available rules

match
required
RouteRuleMatchesEnum

Matching operator. Not all operators are available for all fields. See "/ipLoadbalancing/{serviceName}/availableRouteRules"

Valuescontainsendswithexistsininternalismatchesstartswith
negate
boolean

Invert the matching operator effect

pattern
string

Value to match against this match. Interpretation if this field depends on the match and field

subField
string

Name of sub-field, if applicable. This may be a Cookie or Header name for instance

Response

200RouteRulesuccessful operation
displayName
string

Human readable name for your rule

field
string

Name of the field to match like "protocol" or "host". See "/ipLoadbalancing/{serviceName}/availableRouteRules" for a list of available rules

match
RouteRuleMatchesEnum

Matching operator. Not all operators are available for all fields. See "/ipLoadbalancing/{serviceName}/availableRouteRules"

Valuescontainsendswithexistsininternalismatchesstartswith
negate
boolean

Invert the matching operator effect

pattern
string

Value to match against this match. Interpretation if this field depends on the match and field

ruleId
read-only
integer

Id of your rule

subField
string

Name of sub-field, if applicable. This may be a Cookie or Header name for instance

Example uses routeId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}/rule \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "displayName": "string", "field": "string", "match": "contains", "negate": true, "pattern": "string", "ruleId": 0, "subField": "string"}

Get a route ruleProduction

GET
/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}/rule/{ruleId}

Path parameters

routeId
required
integer

Id of your route

ruleId
required
integer

Id of your rule

serviceName
required
string

The internal name of your IP load balancing

Response

200RouteRulesuccessful operation
displayName
string

Human readable name for your rule

field
string

Name of the field to match like "protocol" or "host". See "/ipLoadbalancing/{serviceName}/availableRouteRules" for a list of available rules

match
RouteRuleMatchesEnum

Matching operator. Not all operators are available for all fields. See "/ipLoadbalancing/{serviceName}/availableRouteRules"

Valuescontainsendswithexistsininternalismatchesstartswith
negate
boolean

Invert the matching operator effect

pattern
string

Value to match against this match. Interpretation if this field depends on the match and field

ruleId
read-only
integer

Id of your rule

subField
string

Name of sub-field, if applicable. This may be a Cookie or Header name for instance

Example uses routeId = 0, ruleId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}/rule/{ruleId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "displayName": "string", "field": "string", "match": "contains", "negate": true, "pattern": "string", "ruleId": 0, "subField": "string"}

Delete a route ruleProduction

DELETE
/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}/rule/{ruleId}

Path parameters

routeId
required
integer

Id of your route

ruleId
required
integer

Id of your rule

serviceName
required
string

The internal name of your IP load balancing

Response

200—successful operation

Example uses routeId = 0, ruleId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}/rule/{ruleId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a route ruleProduction

PUT
/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}/rule/{ruleId}

Path parameters

routeId
required
integer

Id of your route

ruleId
required
integer

Id of your rule

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

displayName
string

Human readable name for your rule

field
string

Name of the field to match like "protocol" or "host". See "/ipLoadbalancing/{serviceName}/availableRouteRules" for a list of available rules

match
RouteRuleMatchesEnum

Matching operator. Not all operators are available for all fields. See "/ipLoadbalancing/{serviceName}/availableRouteRules"

Valuescontainsendswithexistsininternalismatchesstartswith
negate
boolean

Invert the matching operator effect

pattern
string

Value to match against this match. Interpretation if this field depends on the match and field

ruleId
read-only
integer

Id of your rule

subField
string

Name of sub-field, if applicable. This may be a Cookie or Header name for instance

Response

200—successful operation

Example uses routeId = 0, ruleId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/http/route/{routeId}/rule/{ruleId} \
  -H "authorization: Bearer $OVH_TOKEN"